"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toObject = void 0;
const toObject = (type, argument, defaultValue) => {
    const allowedValues = Object.values(type);
    const result = allowedValues.find(value => String(value) === argument);
    if (!result) {
        return defaultValue || null;
    }
    return result;
};
exports.toObject = toObject;
//# sourceMappingURL=to-object.js.map