"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getArgumentValue = void 0;
const node_util_1 = require("node:util");
const getArgumentValue = (key, argument, args = process.argv.slice(2)) => {
    const { values } = (0, node_util_1.parseArgs)({
        args,
        strict: false,
        options: {
            [key]: argument.short
                ? { type: 'string', default: argument.default, short: argument.short }
                : { type: 'string', default: argument.default }
        }
    });
    return values[key]?.toString() || null;
};
exports.getArgumentValue = getArgumentValue;
//# sourceMappingURL=get-argument-value.js.map